# OpenALException (LWJGL API)
Date: 2015-07-28

## org.lwjgl.openal
Class OpenALException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.lwjgl.openal.OpenALException

All Implemented Interfaces:
  java.io.Serializable

    public class OpenALException

extends java.lang.RuntimeException

Thrown by the debug build library of the LWJGL if any OpenAL operation causes an error.

Version:
  $Revision$ $Id$
Author:
  Brian Matzon <brian@matzon.dk>
See Also:
  Serialized Form

Constructor Summary
`OpenALException()` Constructor for OpenALException.
`OpenALException(int error_code)` Constructor that takes an AL error number
`OpenALException(java.lang.String message)` Constructor for OpenALException.
`OpenALException(java.lang.String message, java.lang.Throwable cause)` Constructor for OpenALException.
`OpenALException(java.lang.Throwable cause)` Constructor for OpenALException.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpenALException

    public OpenALException()

  Constructor for OpenALException.

### OpenALException

    public OpenALException(int error_code)

  Constructor that takes an AL error number

### OpenALException

    public OpenALException(java.lang.String message)

  Constructor for OpenALException.

  Parameters:
    `message` -

### OpenALException

    public OpenALException(java.lang.String message,
                           java.lang.Throwable cause)

  Constructor for OpenALException.

  Parameters:
    `message` -
    `cause` -

### OpenALException

    public OpenALException(java.lang.Throwable cause)

  Constructor for OpenALException.

  Parameters:
    `cause` -

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.